Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface ServiceRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceRefTypeImpl

    public interface ServiceRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-refType` xsd type

Original Documentation:

Runtime settings for a web service reference. In the simplest case,
there is no runtime information required for a service ref. Runtime info
is only needed in the following cases :
* to define the port that should be used to resolve a container-managed port
* to define default Stub property settings for Stub objects
* to define the URL of a final WSDL document to be used
Example:
OrganizationService
file:/wsdlRepository/organization-service.wsdl
OrganizationService
Secure Client Config
META-INF/jbossws-client-config.xml
META-INF/jbossws-client-handlers.xml
SecureService
org.jboss.tests.ws.jaxws.webserviceref.SecureEndpointService
{http://org.jboss.ws/wsref}SecureEndpointService
org.jboss.tests.ws.jaxws.webserviceref.SecureEndpoint
{http://org.jboss.ws/wsref}SecureEndpointPort
javax.xml.ws.security.auth.username
kermit
javax.xml.ws.security.auth.password
thefrog

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getHandlerChain()` Returns the `handler-chain` element
`java.util.List<PortComponentRefType<ServiceRefType<T>>>` | `getPortComponentRefList()` Returns all `port-component-ref` elements
`java.lang.String` | `getServiceImplClass()` Returns the `service-impl-class` element
`java.lang.String` | `getServiceQname()` Returns the `service-qname` element
`java.lang.String` | `getServiceRefName()` Returns the `service-ref-name` element
`java.lang.String` | `getWsdlOverride()` Returns the `wsdl-override` element
`PortComponentRefType<ServiceRefType<T>>` | `portComponentRef()` Returns the `port-component-ref` element
`ServiceRefType<T>` | `removeAllPortComponentRef()` Removes all `port-component-ref` elements
`ServiceRefType<T>` | `removeConfigFile()` Removes the `config-file` element
`ServiceRefType<T>` | `removeConfigName()` Removes the `config-name` element
`ServiceRefType<T>` | `removeHandlerChain()` Removes the `handler-chain` element
`ServiceRefType<T>` | `removeServiceImplClass()` Removes the `service-impl-class` element
`ServiceRefType<T>` | `removeServiceQname()` Removes the `service-qname` element
`ServiceRefType<T>` | `removeServiceRefName()` Removes the `service-ref-name` element
`ServiceRefType<T>` | `removeWsdlOverride()` Removes the `wsdl-override` element
`ServiceRefType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`ServiceRefType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`ServiceRefType<T>` | `setHandlerChain(java.lang.String handlerChain)` If not already created, a new `handler-chain` element with the given value will be created.
`ServiceRefType<T>` | `setServiceImplClass(java.lang.String serviceImplClass)` If not already created, a new `service-impl-class` element with the given value will be created.
`ServiceRefType<T>` | `setServiceQname(java.lang.String serviceQname)` If not already created, a new `service-qname` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefName(java.lang.String serviceRefName)` If not already created, a new `service-ref-name` element with the given value will be created.
`ServiceRefType<T>` | `setWsdlOverride(java.lang.String wsdlOverride)` If not already created, a new `wsdl-override` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setServiceRefName

    ServiceRefType<T> setServiceRefName(java.lang.String serviceRefName)

  If not already created, a new `service-ref-name` element with the given value will be created. Otherwise, the existing `service-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefName

    ServiceRefType<T> removeServiceRefName()

  Removes the `service-ref-name` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceRefName

    java.lang.String getServiceRefName()

  Returns the `service-ref-name` element

  Returns:
    the node defined for the element `service-ref-name`

### setServiceImplClass

    ServiceRefType<T> setServiceImplClass(java.lang.String serviceImplClass)

  If not already created, a new `service-impl-class` element with the given value will be created. Otherwise, the existing `service-impl-class` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceImplClass

    ServiceRefType<T> removeServiceImplClass()

  Removes the `service-impl-class` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceImplClass

    java.lang.String getServiceImplClass()

  Returns the `service-impl-class` element

  Returns:
    the node defined for the element `service-impl-class`

### setServiceQname

    ServiceRefType<T> setServiceQname(java.lang.String serviceQname)

  If not already created, a new `service-qname` element with the given value will be created. Otherwise, the existing `service-qname` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceQname

    ServiceRefType<T> removeServiceQname()

  Removes the `service-qname` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceQname

    java.lang.String getServiceQname()

  Returns the `service-qname` element

  Returns:
    the node defined for the element `service-qname`

### setConfigName

    ServiceRefType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeConfigName

    ServiceRefType<T> removeConfigName()

  Removes the `config-name` element

  Returns:
    the current instance of `ServiceRefType`

### getConfigName

    java.lang.String getConfigName()

  Returns the `config-name` element

  Returns:
    the node defined for the element `config-name`

### setConfigFile

    ServiceRefType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeConfigFile

    ServiceRefType<T> removeConfigFile()

  Removes the `config-file` element

  Returns:
    the current instance of `ServiceRefType`

### getConfigFile

    java.lang.String getConfigFile()

  Returns the `config-file` element

  Returns:
    the node defined for the element `config-file`

### setHandlerChain

    ServiceRefType<T> setHandlerChain(java.lang.String handlerChain)

  If not already created, a new `handler-chain` element with the given value will be created. Otherwise, the existing `handler-chain` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeHandlerChain

    ServiceRefType<T> removeHandlerChain()

  Removes the `handler-chain` element

  Returns:
    the current instance of `ServiceRefType`

### getHandlerChain

    java.lang.String getHandlerChain()

  Returns the `handler-chain` element

  Returns:
    the node defined for the element `handler-chain`

### removeAllPortComponentRef

    ServiceRefType<T> removeAllPortComponentRef()

  Removes all `port-component-ref` elements

  Returns:
    the current instance of `ServiceRefType`

### portComponentRef

    PortComponentRefType<ServiceRefType<T>> portComponentRef()

  Returns the `port-component-ref` element

  Returns:
    the node defined for the element `port-component-ref`

### getPortComponentRefList

    java.util.List<PortComponentRefType<ServiceRefType<T>>> getPortComponentRefList()

  Returns all `port-component-ref` elements

  Returns:
    list of `port-component-ref`

### setWsdlOverride

    ServiceRefType<T> setWsdlOverride(java.lang.String wsdlOverride)

  If not already created, a new `wsdl-override` element with the given value will be created. Otherwise, the existing `wsdl-override` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeWsdlOverride

    ServiceRefType<T> removeWsdlOverride()

  Removes the `wsdl-override` element

  Returns:
    the current instance of `ServiceRefType`

### getWsdlOverride

    java.lang.String getWsdlOverride()

  Returns the `wsdl-override` element

  Returns:
    the node defined for the element `wsdl-override`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD